# Zola config

title = "Aparoksha"
base_url = "https://www.aparoksha.dev/"
description = "One app, fully native on every platform"
theme = "duckling"

minify_html = true
default_language = "en"
compile_sass = true
author = "david-swift"

generate_feeds = true
feed_filenames = ["rss.xml", "atom.xml"]

build_search_index = true
taxonomies = [{ name = "tags", feed = true }]

[markdown]
highlight_code = true
highlight_theme = "css"
highlight_themes_css = [
  { theme = "aparoksha-dark", filename = "syntax-theme-dark.css" },
  { theme = "aparoksha-light", filename = "syntax-theme-light.css" }
]
smart_punctuation = true

[extra]
styles = [
  "custom.css"
]
accent_color = "#FF2D75"
accent_color_dark = "#FF2D75"
issues_url = "https://git.aparoksha.dev/aparoksha/aparoksha.dev/issues"
source_url = "https://git.aparoksha.dev/aparoksha/aparoksha.dev"
show_copy_button = true
show_share_button = true

[extra.footer]
show_copyright = true
show_powered_by = true
show_source = true

[extra.nav]
links = [
  { url = "@/backends/_index.md", name = "Backends" },
  { url = "/patterns", name = "Patterns" },
  { url = "https://forums.aparoksha.dev/", name = "Community" },
  { url = "https://git.aparoksha.dev/aparoksha", name = "Code" },
]

[search]
index_format = "elasticlunr_json"

[extra.comments]
host = "mastodon.de"
user = "david_swift"
show_qr = true
